using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.WebPortal
{
    /// <summary>
    /// 门户网站注册用户
    /// </summary>
    public class WebUserRegister : CreationModificationEntity
    {
        /// <summary>
        /// 姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "姓名")]
        public string WebUserName { get; set; }

        /// <summary>
        /// 登录名称
        /// </summary>
        [SugarColumn(ColumnDescription = "登录名称")]
        public string WebLoginName { get; set; }

        /// <summary>
        /// 电话号码
        /// </summary>
        [SugarColumn(ColumnDescription = "电话号码")]
        public string? PhoneNum { get; set; }

        /// <summary>
        /// 登陆密码
        /// </summary>
        [SugarColumn(ColumnDescription = "登陆密码")]
        public string? LoginPwd { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        [SugarColumn(ColumnDescription = "性别")]
        public string? Gender { get; set; }

        /// <summary>
        /// 身份证号码
        /// </summary>
        [SugarColumn(ColumnDescription = "身份证号码")]
        public string? IDCard { get; set; }

        /// <summary>
        /// 区域编号
        /// </summary>
        [SugarColumn(ColumnDescription = "区域编号")]
        public string? AreaID { get; set; }

        /// <summary>
        /// 的址
        /// </summary>
        [SugarColumn(ColumnDescription = "的址")]
        public string? Address { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        [SugarColumn(ColumnDescription = "邮箱")]
        public string? Mail { get; set; }

        /// <summary>
        /// 注册IP
        /// </summary>
        [SugarColumn(ColumnDescription = "注册IP")]
        public string? RegIP { get; set; }

        /// <summary>
        /// 注册时间
        /// </summary>
        [SugarColumn(ColumnDescription = "注册时间")]
        public DateTime? RegDate { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态")]
        public string? StateFlag { get; set; }

        /// <summary>
        /// 登录IP
        /// </summary>
        [SugarColumn(ColumnDescription = "登录IP")]
        public string? LastIP { get; set; }

        /// <summary>
        /// 登录时间
        /// </summary>
        [SugarColumn(ColumnDescription = "登录时间")]
        public DateTime? LastDate { get; set; }
    }
}
